summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-geosciences/merkaartor
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-geosciences/merkaartor')
-rw-r--r--sci-geosciences/merkaartor/Manifest3
-rw-r--r--sci-geosciences/merkaartor/files/0.17.2-includes.patch11
-rw-r--r--sci-geosciences/merkaartor/files/0.17.2-libproxy.patch12
-rw-r--r--sci-geosciences/merkaartor/files/merkaartor-0.18.1-system-libs.patch43
-rw-r--r--sci-geosciences/merkaartor/merkaartor-0.17.2.ebuild69
-rw-r--r--sci-geosciences/merkaartor/merkaartor-0.18.1-r1.ebuild87
-rw-r--r--sci-geosciences/merkaartor/merkaartor-0.18.1.ebuild69
-rw-r--r--sci-geosciences/merkaartor/merkaartor-9999.ebuild92
-rw-r--r--sci-geosciences/merkaartor/metadata.xml16
9 files changed, 402 insertions, 0 deletions
diff --git a/sci-geosciences/merkaartor/Manifest b/sci-geosciences/merkaartor/Manifest
new file mode 100644
index 00000000000..9950ede2b13
--- /dev/null
+++ b/sci-geosciences/merkaartor/Manifest
@@ -0,0 +1,3 @@
+DIST merkaartor-0.17.2.tar.bz2 7138991 SHA256 425f4facefbf20a3dd1a09ee61ff8a8912482d1a30c957c50869d8ff59ba702a SHA512 3718131d855ad6ea17537c7879a3249f25f6f5aaaf00e2e59df10c5497a628f0877f85129a209d11dc969b5771598f9989cc6ca3a972dab4c3eaef507784d4ed WHIRLPOOL 22a07736e7da44d3799831352d0e9d323143f228dcf7693b6f90fe101a8a04c74c2c5186db15723902b7dd8aadd93a78547e4622b5238ceb7074027e987b8487
+DIST merkaartor-0.18.1.tar.bz2 5579080 SHA256 3d6a96599815d5f1c8558acd255a413ea47b93ddad8414147d11775a6f21139f SHA512 d45b25ad5a7f19b32ca3e91ad514ef1a8450024bdab9e8c215f60a5ec3fc6332a5cadfcec586a32805c7727d224588b504b01d3023120d55476660a8a394cd45 WHIRLPOOL 23327a7eaa91531a95665fe9ff647712606babf96e3843ef33b94a37f6f7ca6d1cb09576b0b31197badc32e87cfc7ca275a9e3792e57f57dd58fe0509ec1b46d
+DIST merkaartor-0.18.1.tar.gz 6459640 SHA256 e9fa5e30e6392c9224f73e9bb7d17b66c4eb6c023633eb2af0cf58ba8acf684f SHA512 5ccb2aca7463cd3b31790b0f231cd18f4499b38ec3eb14c3600bdaae880194a71aaf63a2c2f814af6277b1b07fd618b4393309aa5ded375940bd464d1e77d71d WHIRLPOOL fde10a93510c123f2e1065ad745c3abc7860892c55ed615e75214dd172bfbec1da6f254377cc2d6e0f1df6f9d0680d0f7878ba3224651f5b09c590c335211d9c
diff --git a/sci-geosciences/merkaartor/files/0.17.2-includes.patch b/sci-geosciences/merkaartor/files/0.17.2-includes.patch
new file mode 100644
index 00000000000..2458aec201f
--- /dev/null
+++ b/sci-geosciences/merkaartor/files/0.17.2-includes.patch
@@ -0,0 +1,11 @@
+diff -urN merkaartor-0.17.2.old/src/MainWindow.cpp merkaartor-0.17.2/src/MainWindow.cpp
+--- merkaartor-0.17.2.old/src/MainWindow.cpp 2011-06-09 22:01:46.624543619 +0200
++++ merkaartor-0.17.2/src/MainWindow.cpp 2011-06-09 22:02:27.891027716 +0200
+@@ -92,6 +92,7 @@
+ #include <QtGui/QFileDialog>
+ #include <QtGui/QMessageBox>
+ #include <QtGui/QMouseEvent>
++#include <QtNetwork>
+ #include <QInputDialog>
+ #include <QClipboard>
+ #include <QProgressDialog>
diff --git a/sci-geosciences/merkaartor/files/0.17.2-libproxy.patch b/sci-geosciences/merkaartor/files/0.17.2-libproxy.patch
new file mode 100644
index 00000000000..d5fdf70f473
--- /dev/null
+++ b/sci-geosciences/merkaartor/files/0.17.2-libproxy.patch
@@ -0,0 +1,12 @@
+diff -urN merkaartor-0.17.2.old//src/Preferences/MerkaartorPreferences.h merkaartor-0.17.2/src/Preferences/MerkaartorPreferences.h
+--- merkaartor-0.17.2.old//src/Preferences/MerkaartorPreferences.h 2011-06-10 17:26:49.000000000 +0200
++++ merkaartor-0.17.2/src/Preferences/MerkaartorPreferences.h 2011-06-10 17:29:46.000000000 +0200
+@@ -21,7 +21,7 @@
+ #include <QNetworkProxy>
+
+ #ifdef USE_LIBPROXY
+-#include <libproxy/proxy.h>
++#include <proxy.h>
+ #endif
+
+ #include "Maps/Coord.h"
diff --git a/sci-geosciences/merkaartor/files/merkaartor-0.18.1-system-libs.patch b/sci-geosciences/merkaartor/files/merkaartor-0.18.1-system-libs.patch
new file mode 100644
index 00000000000..52955735e20
--- /dev/null
+++ b/sci-geosciences/merkaartor/files/merkaartor-0.18.1-system-libs.patch
@@ -0,0 +1,43 @@
+From e4cda9c42c049577caf126e8849c4b9eba62b31b Mon Sep 17 00:00:00 2001
+From: Nikoli <nikoli@gmx.us>
+Date: Thu, 10 Oct 2013 16:28:02 +0400
+Subject: [PATCH] Support for building with system qtsingleapplication and
+ quazip
+
+---
+ INSTALL | 1 +
+ src/src.pro | 6 +++++-
+ 2 files changed, 6 insertions(+), 1 deletion(-)
+
+diff --git a/INSTALL b/INSTALL
+index a828c17..022e8d0 100644
+--- a/INSTALL
++++ b/INSTALL
+@@ -33,6 +33,7 @@ TRANSDIR_MERKAARTOR=<path> - where will the Merkaartor translations be installed
+ TRANSDIR_SYSTEM=<path> - where your global Qt translation directory is
+ NODEBUG=1 - release target
+ NOUSEWEBKIT - disable use of WebKit (Yahoo adapter)
++SYSTEM_QTSA - use system copy of qtsingleapplication instead of internal
+
+ see http://wiki.openstreetmap.org/wiki/Merkaartor/Compiling for the complete list
+
+diff --git a/src/src.pro b/src/src.pro
+index f23e05e..ff228b6 100644
+--- a/src/src.pro
++++ b/src/src.pro
+@@ -6,7 +6,11 @@ include (Config.pri)
+ #Custom config
+ include(Custom.pri)
+
+-include(../3rdparty/qtsingleapplication-2.6_1-opensource/src/qtsingleapplication.pri)
++isEmpty(SYSTEM_QTSA) {
++ include(../3rdparty/qtsingleapplication-2.6_1-opensource/src/qtsingleapplication.pri)
++} else {
++ CONFIG += qtsingleapplication
++}
+ include(../3rdparty/qttoolbardialog-2.2_1-opensource/src/qttoolbardialog.pri)
+
+ #Qt Version
+--
+2.0.5
+
diff --git a/sci-geosciences/merkaartor/merkaartor-0.17.2.ebuild b/sci-geosciences/merkaartor/merkaartor-0.17.2.ebuild
new file mode 100644
index 00000000000..70efafc2412
--- /dev/null
+++ b/sci-geosciences/merkaartor/merkaartor-0.17.2.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+REDMINE_HASH="253"
+
+inherit multilib qt4-r2 ${SCM_ECLASS}
+
+DESCRIPTION="A Qt4 based map editor for the openstreetmap.org project"
+HOMEPAGE="http://www.merkaartor.be"
+SRC_URI="http://merkaartor.be/attachments/download/${REDMINE_HASH}/merkaartor-${PV}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+
+# Don't move KEYWORDS on the previous line or ekeyword won't work # 399061
+KEYWORDS="~amd64 ~x86"
+
+IUSE="debug exif gps nls libproxy"
+
+QT_MINIMAL="4.7.2"
+DEPEND="
+ >=dev-libs/boost-1.46
+ >=sci-libs/gdal-1.6.0
+ >=sci-libs/proj-4.6
+ >=dev-qt/qtgui-${QT_MINIMAL}:4
+ >=dev-qt/qtsvg-${QT_MINIMAL}:4
+ >=dev-qt/qtwebkit-${QT_MINIMAL}:4
+ exif? ( media-gfx/exiv2 )
+ gps? ( >=sci-geosciences/gpsd-2.92[cxx] )
+ libproxy? ( net-libs/libproxy )
+"
+RDEPEND="${DEPEND}"
+
+DOCS="AUTHORS CHANGELOG HACKING"
+
+PATCHES=(
+ "${FILESDIR}/${PV}-includes.patch"
+ "${FILESDIR}/${PV}-libproxy.patch"
+)
+
+merkaartor_use() {
+ local useflag=${1}
+ [[ -z ${useflag} ]] && die "No useflag specified"
+ if use ${useflag}; then
+ echo "1"
+ else
+ echo "0"
+ fi
+}
+
+src_configure() {
+ local myconf
+ myconf+=" RELEASE=1 ZBAR=0" # deps not in main tree so hard-disable
+ myconf+=" GEOIMAGE=$(${PN}_use exif)"
+ myconf+=" GPSDLIB=$(${PN}_use gps)"
+ myconf+=" LIBPROXY=$(${PN}_use libproxy)"
+ myconf+=" NODEBUG=$(use debug && echo "0" || echo "1")" # inverse logic
+ myconf+=" NOUSEWEBKIT=0" # fails to link if disabled, upstream needs to fix
+ myconf+=" TRANSDIR_MERKAARTOR=/usr/share/${PN}/translations TRANSDIR_SYSTEM=/usr/share/qt4/translations" #385671
+
+ if use nls; then
+ lrelease src/src.pro || die "lrelease failed"
+ fi
+
+ eqmake4 Merkaartor.pro LIBDIR=/usr/$(get_libdir) PREFIX=/usr/ ${myconf}
+}
diff --git a/sci-geosciences/merkaartor/merkaartor-0.18.1-r1.ebuild b/sci-geosciences/merkaartor/merkaartor-0.18.1-r1.ebuild
new file mode 100644
index 00000000000..33f4f5458c9
--- /dev/null
+++ b/sci-geosciences/merkaartor/merkaartor-0.18.1-r1.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PLOCALES="ar cs de es et fr hr hu it ja nl pl pt_BR pt ru sk sv uk"
+
+inherit eutils fdo-mime gnome2-utils l10n multilib qt4-r2
+
+DESCRIPTION="A Qt4 based map editor for the openstreetmap.org project"
+HOMEPAGE="http://www.merkaartor.be https://github.com/openstreetmap/merkaartor"
+SRC_URI="https://github.com/openstreetmap/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug exif gps libproxy qrcode"
+
+RDEPEND="
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ dev-qt/qtsvg:4
+ dev-qt/qtwebkit:4
+ >=dev-qt/qtsingleapplication-2.6.1[X,qt4(+)]
+ >=sci-libs/gdal-1.6.0
+ >=sci-libs/proj-4.6
+ sys-libs/zlib
+ exif? ( media-gfx/exiv2:= )
+ gps? ( >=sci-geosciences/gpsd-2.92[cxx] )
+ libproxy? ( net-libs/libproxy )
+ qrcode? ( media-gfx/zbar )
+"
+DEPEND="${RDEPEND}
+ >=dev-libs/boost-1.46
+ virtual/pkgconfig
+"
+
+DOCS=( AUTHORS CHANGELOG HACKING )
+
+src_prepare() {
+ my_rm_loc() {
+ sed -i -e "s:../translations/${PN}_${1}.\(ts\|qm\)::" src/src.pro || die
+ rm "translations/${PN}_${1}.ts" || die
+ }
+
+ l10n_find_plocales_changes 'translations' "${PN}_" '.ts'
+
+ if [[ -n "$(l10n_get_locales)" ]]; then
+ l10n_for_each_disabled_locale_do my_rm_loc
+ $(qt4_get_bindir)/lrelease src/src.pro || die
+ fi
+
+ epatch "${FILESDIR}"/${P}-system-libs.patch
+ epatch_user
+}
+
+src_configure() {
+ # TRANSDIR_SYSTEM is for bug #385671
+ eqmake4 \
+ PREFIX="${EPREFIX}/usr" \
+ LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+ TRANSDIR_MERKAARTOR="${EPREFIX}/usr/share/${PN}/translations" \
+ TRANSDIR_SYSTEM="${EPREFIX}/usr/share/qt4/translations" \
+ SYSTEM_QTSA=1 \
+ RELEASE=1 \
+ NODEBUG="$(usex debug '0' '1')" \
+ GEOIMAGE="$(usex exif '1' '0')" \
+ GPSDLIB="$(usex gps '1' '0')" \
+ LIBPROXY="$(usex libproxy '1' '0')" \
+ ZBAR="$(usex qrcode '1' '0')" \
+ Merkaartor.pro
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}
diff --git a/sci-geosciences/merkaartor/merkaartor-0.18.1.ebuild b/sci-geosciences/merkaartor/merkaartor-0.18.1.ebuild
new file mode 100644
index 00000000000..97f71518ee1
--- /dev/null
+++ b/sci-geosciences/merkaartor/merkaartor-0.18.1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+REDMINE_HASH="301"
+
+inherit multilib qt4-r2 ${SCM_ECLASS}
+
+DESCRIPTION="A Qt4 based map editor for the openstreetmap.org project"
+HOMEPAGE="http://www.merkaartor.be"
+SRC_URI="http://merkaartor.be/attachments/download/${REDMINE_HASH}/merkaartor-${PV}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+
+# Don't move KEYWORDS on the previous line or ekeyword won't work # 399061
+KEYWORDS="~amd64 ~x86"
+
+IUSE="debug exif gps nls libproxy"
+
+QT_MINIMAL="4.7.2"
+DEPEND="
+ >=dev-libs/boost-1.46
+ >=sci-libs/gdal-1.6.0
+ >=sci-libs/proj-4.6
+ >=dev-qt/qtgui-${QT_MINIMAL}:4
+ >=dev-qt/qtsvg-${QT_MINIMAL}:4
+ >=dev-qt/qtwebkit-${QT_MINIMAL}:4
+ exif? ( media-gfx/exiv2 )
+ gps? ( >=sci-geosciences/gpsd-2.92[cxx] )
+ libproxy? ( net-libs/libproxy )
+"
+RDEPEND="${DEPEND}"
+
+DOCS="AUTHORS CHANGELOG HACKING"
+
+PATCHES=(
+# "${FILESDIR}"/0.17.2-includes.patch
+# "${FILESDIR}"/0.17.2-libproxy.patch
+)
+
+merkaartor_use() {
+ local useflag=${1}
+ [[ -z ${useflag} ]] && die "No useflag specified"
+ if use ${useflag}; then
+ echo "1"
+ else
+ echo "0"
+ fi
+}
+
+src_configure() {
+ local myconf
+ myconf+=" RELEASE=1 ZBAR=0" # deps not in main tree so hard-disable
+ myconf+=" GEOIMAGE=$(${PN}_use exif)"
+ myconf+=" GPSDLIB=$(${PN}_use gps)"
+ myconf+=" LIBPROXY=$(${PN}_use libproxy)"
+ myconf+=" NODEBUG=$(use debug && echo "0" || echo "1")" # inverse logic
+ myconf+=" NOUSEWEBKIT=0" # fails to link if disabled, upstream needs to fix
+ myconf+=" TRANSDIR_MERKAARTOR=/usr/share/${PN}/translations TRANSDIR_SYSTEM=/usr/share/qt4/translations" #385671
+
+ if use nls; then
+ lrelease src/src.pro || die "lrelease failed"
+ fi
+
+ eqmake4 Merkaartor.pro LIBDIR=/usr/$(get_libdir) PREFIX=/usr/ ${myconf}
+}
diff --git a/sci-geosciences/merkaartor/merkaartor-9999.ebuild b/sci-geosciences/merkaartor/merkaartor-9999.ebuild
new file mode 100644
index 00000000000..633d069906c
--- /dev/null
+++ b/sci-geosciences/merkaartor/merkaartor-9999.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PLOCALES="ar cs de es et fr hr hu it ja nl pl pt_BR pt ru sk sv uk"
+
+inherit eutils fdo-mime gnome2-utils git-r3 l10n multilib qt4-r2
+
+DESCRIPTION="A Qt4 based map editor for the openstreetmap.org project"
+HOMEPAGE="http://www.merkaartor.be https://github.com/openstreetmap/merkaartor"
+SRC_URI=""
+EGIT_REPO_URI="https://github.com/openstreetmap/merkaartor.git"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug exif gps libproxy qrcode"
+
+RDEPEND="
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ dev-qt/qtsvg:4
+ dev-qt/qtwebkit:4
+ >=dev-qt/qtsingleapplication-2.6.1[X,qt4(+)]
+ >=dev-libs/quazip-0.7[qt4(+)]
+ >=sci-libs/gdal-1.6.0
+ >=sci-libs/proj-4.6
+ sys-libs/zlib
+ exif? ( media-gfx/exiv2:= )
+ gps? ( >=sci-geosciences/gpsd-2.92[cxx] )
+ libproxy? ( net-libs/libproxy )
+ qrcode? ( media-gfx/zbar )
+"
+DEPEND="${RDEPEND}
+ >=dev-libs/boost-1.46
+ virtual/pkgconfig
+"
+
+DOCS=( AUTHORS CHANGELOG HACKING )
+
+src_unpack() {
+ git-r3_src_unpack
+}
+
+src_prepare() {
+ my_rm_loc() {
+ sed -i -e "s:../translations/${PN}_${1}.\(ts\|qm\)::" src/src.pro || die
+ rm "translations/${PN}_${1}.ts" || die
+ }
+
+ l10n_find_plocales_changes 'translations' "${PN}_" '.ts'
+
+ if [[ -n "$(l10n_get_locales)" ]]; then
+ l10n_for_each_disabled_locale_do my_rm_loc
+ $(qt4_get_bindir)/lrelease src/src.pro || die
+ fi
+
+ epatch_user
+}
+
+src_configure() {
+ # TRANSDIR_SYSTEM is for bug #385671
+ eqmake4 \
+ PREFIX="${EPREFIX}/usr" \
+ LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+ TRANSDIR_MERKAARTOR="${EPREFIX}/usr/share/${PN}/translations" \
+ TRANSDIR_SYSTEM="${EPREFIX}/usr/share/qt4/translations" \
+ SYSTEM_QTSA=1 \
+ SYSTEM_QUAZIP=1 \
+ NODEBUG="$(usex debug '0' '1')" \
+ GEOIMAGE="$(usex exif '1' '0')" \
+ GPSDLIB="$(usex gps '1' '0')" \
+ LIBPROXY="$(usex libproxy '1' '0')" \
+ ZBAR="$(usex qrcode '1' '0')" \
+ Merkaartor.pro
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}
diff --git a/sci-geosciences/merkaartor/metadata.xml b/sci-geosciences/merkaartor/metadata.xml
new file mode 100644
index 00000000000..fabea7a8e6d
--- /dev/null
+++ b/sci-geosciences/merkaartor/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-geosciences</herd>
+ <use>
+ <flag name="libproxy">
+ Use <pkg>net-libs/libproxy</pkg> for getting the HTTP/HTTPS/SOCKS proxy configuration
+ </flag>
+ <flag name="qrcode">
+ Enable QR code scanning with <pkg>media-gfx/zbar</pkg>
+ </flag>
+ </use>
+ <upstream>
+ <remote-id type="github">openstreetmap/merkaartor</remote-id>
+ </upstream>
+</pkgmetadata>